$(document).ready(function() {
	var cr = {
		passwordFields: function() {
			var password_one,
				password_two;
			
			$('#password_two').focus(function() {
				password_one = String($('#password_one').val());
			});
			
			$('#password_two').keyup(function() {
				password_two = String($('#password_two').val());
	
				if (password_one == password_two) {
					$('#passwords_match').text('');
				} else {
					$('#passwords_match').text('Passwörter stimmen nicht überein');
				}
			});
		}
	}
	
	cr.passwordFields();
	
	$('#is_merchant').click(function() {
		var check_bool = $(this).attr('checked');
		
		$('#merchant_data').slideToggle();
		$('#merchant_data').find('input').attr('disabled', !check_bool);
	});
	
	$('.cashdesk_agreement_header').click(function() {
		var id = $(this).attr('id');
		
		$('#' + id + '_wrapper').slideToggle();
	});
	
	if($('#honorific').val() == 2) {
		$('#label_vorname').removeClass('highlighted');
		$('#label_nachname').removeClass('highlighted');
		if (!$('#label_firma').hasClass('highlighted')) {
			$('#label_firma').addClass('highlighted');
		}
                if (!$('#label_tax_id').hasClass('highlighted')) {
                        $('#label_tax_id').addClass('highlighted');
                }
	}
	else {
		if (!$('#label_vorname').hasClass('highlighted')) {
			$('#label_vorname').addClass('highlighted');
		}
		if (!$('#label_nachname').hasClass('highlighted')) {
			$('#label_nachname').addClass('highlighted');
		}
		$('#label_firma').removeClass('highlighted');
	}
	
	$('#honorific').change(function() {
		if($(this).val() == 2) {
			$('#label_vorname').removeClass('highlighted');
			$('#label_nachname').removeClass('highlighted');
			if (!$('#label_firma').hasClass('highlighted')) {
				$('#label_firma').addClass('highlighted');
			}
                        if (!$('#label_tax_id').hasClass('highlighted')) {
				$('#label_tax_id').addClass('highlighted');
			}
		}
		else {
			if (!$('#label_vorname').hasClass('highlighted')) {
				$('#label_vorname').addClass('highlighted');
			}
			if (!$('#label_nachname').hasClass('highlighted')) {
				$('#label_nachname').addClass('highlighted');
			}
                        $('#label_firma').removeClass('highlighted');
			$('#label_tax_id').removeClass('highlighted');
		}

		
	});
        
        $('#countries').change(function() {
               var country = $(this).val();
	
	});
	
});
